HomePhabricator

Remove minimum toolchain soft-error

Authored by jfb on Aug 13 2019, 9:30 PM.

Description

Remove minimum toolchain soft-error

Summary:
Back in January I changed the minimum toolchain version required to build clang
and LLVM: D57264. Since then we've release LLVM 8, following
our process
it's therefore now a good time to remove the soft-error and officially deprecate
older toolchains. I tried this out last Tursday night to see if any bots
complained, and I saw no complaints. I also manually audited bots and didn't see
any bot that should break, but their toolchain information is unreliable and
some bots are offline.

Once this patch stick we'll move to C++14 as we've
already agreed.

Subscribers: mgorny, jkorous, dexonsmith, llvm-commits, EricWF, thakis, chandlerc

Tags: #llvm

Differential Revision: https://reviews.llvm.org/D66188

llvm-svn: 368799

Details

Committed
jfbAug 13 2019, 9:30 PM
Differential Revision
D66188: Remove minimum toolchain soft-error
Parents
rGa318c5507348: Coroutines: adjust for SVN r358739
Branches
Unknown
Tags
Unknown